<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Dot/SingleInheritanceGenerator.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Dot.SingleInheritanceGenerator</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../Dot.html" >Dot</a>
</div><div class="class-name">class SingleInheritanceGenerator

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/Dot.py.html" target="detail">../Synopsis/Formatters/Dot.py</a></div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.SingleInheritanceGenerator" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line283" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="SingleInheritanceGenerator-inheritance" src="SingleInheritanceGenerator-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SingleInheritanceGenerator-inheritance_map" />
<map name="SingleInheritanceGenerator-inheritance_map"><area alt="Scopes/Synopsis/Formatters/Dot/InheritanceGenerator.html" href="InheritanceGenerator.html" shape="rect" coords="23, 82, 305, 106" />
<area alt="Scopes/Synopsis/Formatters/Dot/DotFileGenerator.html" href="DotFileGenerator.html" shape="rect" coords="33, 7, 295, 31" />
</map>
 <div class="doc">A Formatter that generates an inheritance graph for a specific class.
   This Visitor visits the ASG upwards&#44; i.e. following the inheritance links&#44; instead of
   the declarations contained in a given scope.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__levels">__levels</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line292" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__types">__types</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line293" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__current">__current</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line294" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__visited_classes">__visited_classes</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line295" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">direction</span>, <span class="variable">operations</span>, <span class="variable">attributes</span>, <span class="variable">levels</span>, <span class="variable">types</span>, <span class="variable">toc</span>, <span class="variable">prefix</span>, <span class="variable">no_descend</span>, <span class="variable">bgcolor</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.SingleInheritanceGenerator.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line288" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declared_type_id">visit_declared_type_id</a>(<span class="variable">self</span>, <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_declared_type_id" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line299" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_inheritance">visit_inheritance</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_inheritance" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line309" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../XRef/xref8.html#Synopsis.Formatters.Dot.SingleInheritanceGenerator.visit_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line320" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from InheritanceGenerator">
<tr><td colspan="2" class="heading">Attributes Inherited from InheritanceGenerator</td></tr>
<tr><td class="inherited"><a href="InheritanceGenerator.html#aggregation" title="attribute InheritanceGenerator.aggregation">aggregation</a>,
<a href="InheritanceGenerator.html#toc" title="attribute InheritanceGenerator.toc">toc</a>,
<a href="InheritanceGenerator.html#scope" title="attribute InheritanceGenerator.scope">scope</a>,
<a href="InheritanceGenerator.html#__type_ref" title="attribute InheritanceGenerator.__type_ref">__type_ref</a>,
<a href="InheritanceGenerator.html#__type_label" title="attribute InheritanceGenerator.__type_label">__type_label</a>,
<a href="InheritanceGenerator.html#__no_descend" title="attribute InheritanceGenerator.__no_descend">__no_descend</a>,
<a href="InheritanceGenerator.html#nodes" title="attribute InheritanceGenerator.nodes">nodes</a></td></tr></table>
<table width="100%" summary="Methods Inherited from InheritanceGenerator">
<tr><td colspan="2" class="heading">Methods Inherited from InheritanceGenerator</td></tr>
<tr><td class="inherited"><a href="InheritanceGenerator.html#type_ref" title="method InheritanceGenerator.type_ref">type_ref</a>,
<a href="InheritanceGenerator.html#type_label" title="method InheritanceGenerator.type_label">type_label</a>,
<a href="InheritanceGenerator.html#parameter" title="method InheritanceGenerator.parameter">parameter</a>,
<a href="InheritanceGenerator.html#format_type" title="method InheritanceGenerator.format_type">format_type</a>,
<a href="InheritanceGenerator.html#clear_type" title="method InheritanceGenerator.clear_type">clear_type</a>,
<a href="InheritanceGenerator.html#get_class_name" title="method InheritanceGenerator.get_class_name">get_class_name</a>,
<a href="InheritanceGenerator.html#visit_modifier_type" title="method InheritanceGenerator.visit_modifier_type">visit_modifier_type</a>,
<a href="InheritanceGenerator.html#visit_unknown_type" title="method InheritanceGenerator.visit_unknown_type">visit_unknown_type</a>,
<a href="InheritanceGenerator.html#visit_builtin_type_id" title="method InheritanceGenerator.visit_builtin_type_id">visit_builtin_type_id</a>,
<a href="InheritanceGenerator.html#visit_dependent_type_id" title="method InheritanceGenerator.visit_dependent_type_id">visit_dependent_type_id</a>,
<a href="InheritanceGenerator.html#visit_parametrized_type_id" title="method InheritanceGenerator.visit_parametrized_type_id">visit_parametrized_type_id</a>,
<a href="InheritanceGenerator.html#visit_template_id" title="method InheritanceGenerator.visit_template_id">visit_template_id</a>,
<a href="InheritanceGenerator.html#visit_operation" title="method InheritanceGenerator.visit_operation">visit_operation</a>,
<a href="InheritanceGenerator.html#visit_variable" title="method InheritanceGenerator.visit_variable">visit_variable</a></td></tr></table>
<table width="100%" summary="Attributes Inherited from DotFileGenerator">
<tr><td colspan="2" class="heading">Attributes Inherited from DotFileGenerator</td></tr>
<tr><td class="inherited"><a href="DotFileGenerator.html#__os" title="attribute DotFileGenerator.__os">__os</a>,
<a href="DotFileGenerator.html#direction" title="attribute DotFileGenerator.direction">direction</a>,
<a href="DotFileGenerator.html#bgcolor" title="attribute DotFileGenerator.bgcolor">bgcolor</a>,
<a href="DotFileGenerator.html#light_color" title="attribute DotFileGenerator.light_color">light_color</a></td></tr></table>
<table width="100%" summary="Methods Inherited from DotFileGenerator">
<tr><td colspan="2" class="heading">Methods Inherited from DotFileGenerator</td></tr>
<tr><td class="inherited"><a href="DotFileGenerator.html#write" title="method DotFileGenerator.write">write</a>,
<a href="DotFileGenerator.html#write_node" title="method DotFileGenerator.write_node">write_node</a>,
<a href="DotFileGenerator.html#write_edge" title="method DotFileGenerator.write_edge">write_edge</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
